library(ggplot2)

path = "~/university/phd/2021/research/paper_2021_pitfalls_lnai/code/"

df = read.csv(paste(path,'df_res.csv', sep=''))
colnames(df)[3] <- "importance"


p = ggplot(data=df, aes(x=reorder(type, -importance), y=importance, fill=reorder(feature, -importance))) + geom_bar(stat='identity', position=position_dodge()) + geom_errorbar(aes(ymin=q.05, ymax=q.95), width=.2, position=position_dodge(.9)) + theme_bw()
p = p + labs(x='IML technique', y='importance', fill='feature')
p
sp = paste(path, 'cfi_pfi_sage', sep='')
ggsave(sp, width=7, height=4)
